Lavalite package that provides categories management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `category/categories`.

    "category/categories": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Category\Categories\Providers\CategoriesServiceProvider::class,

And also add it to alias

    'Categories'  => Category\Categories\Facades\Categories::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Category\\CategoriesTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Category\Categories\Providers\CategoriesServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Category\Categories\Providers\CategoriesServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Category\Categories\Providers\CategoriesServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/categories/{modulename}

**User**

    http://path-to-route-folder/user/categories/{modulename}

**Public**

    http://path-to-route-folder/categories


### API endpoints

**List**

    http://path-to-route-folder/api/user/categories/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/categories/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/categories/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/categories/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/categories/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/categories/{modulename}/{slug}
    METHOD: GET