<?php

// API routes  for category
Route::prefix('{guard}/categories')->group(function () {
    Route::get('category/form/{element}', 'CategoryAPIController@form');
    Route::resource('category', 'CategoryAPIController');
});

// Public routes for category
Route::get('categories/', 'CategoryPublicController@index');
Route::get('categories/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for categories
            Route::prefix('{guard}/categories')->group(function () {
                Route::get('category/form/{element}', 'CategoryAPIController@form');
                Route::apiResource('category', 'CategoryAPIController');
            });
            // Public routes for categories
            Route::get('categories/Category', 'CategoryPublicController@getCategory');
        }
    );
}

