<?php

// web routes  for category
Route::prefix('{guard}/categories')->group(function () {
    Route::resource('category', 'CategoryResourceController');
});

// Public routes for category
Route::get('categories/', 'CategoryPublicController@index');
Route::get('categories/{slug?}', 'CategoryPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'CategoryResourceController');
            });
            // Public routes for pages
            Route::get('categories/', 'CategoryPublicController@index');
            Route::get('categories/{slug?}', 'CategoryPublicController@show');
        }
    );
}

